Be-In Docs
API Reference/Locations

List locations

List all available locations. When includeAddress=true, the response includes address fields (street, streetNumber, postalCode, city) for each location.

GET
/v1/locations
AuthorizationBearer <token>

In: header

Query Parameters

includeAddress?string

When set to 'true', includes address fields (street, streetNumber, postalCode, city) in each location

Default"false"
Value in"true" | "false"

Response Body

curl -X GET "https://api-v3.be-in.app/v1/locations?includeAddress=true"
fetch("https://api-v3.be-in.app/v1/locations?includeAddress=true")
package main

import (
  "fmt"
  "net/http"
  "io/ioutil"
)

func main() {
  url := "https://api-v3.be-in.app/v1/locations?includeAddress=true"

  req, _ := http.NewRequest("GET", url, nil)
  
  res, _ := http.DefaultClient.Do(req)
  defer res.Body.Close()
  body, _ := ioutil.ReadAll(res.Body)

  fmt.Println(res)
  fmt.Println(string(body))
}
import requests

url = "https://api-v3.be-in.app/v1/locations?includeAddress=true"

response = requests.request("GET", url)

print(response.text)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.http.HttpResponse.BodyHandlers;
import java.time.Duration;

HttpClient client = HttpClient.newBuilder()
  .connectTimeout(Duration.ofSeconds(10))
  .build();

HttpRequest.Builder requestBuilder = HttpRequest.newBuilder()
  .uri(URI.create("https://api-v3.be-in.app/v1/locations?includeAddress=true"))
  .GET()
  .build();

try {
  HttpResponse<String> response = client.send(requestBuilder.build(), BodyHandlers.ofString());
  System.out.println("Status code: " + response.statusCode());
  System.out.println("Response body: " + response.body());
} catch (Exception e) {
  e.printStackTrace();
}
using System;
using System.Net.Http;
using System.Text;

var client = new HttpClient();
var response = await client.GetAsync("https://api-v3.be-in.app/v1/locations?includeAddress=true");
var responseBody = await response.Content.ReadAsStringAsync();
{
  "locations": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "street": "string",
      "streetNumber": "string",
      "postalCode": "string",
      "city": "string"
    }
  ]
}
{
  "error": "string",
  "code": "string",
  "details": {}
}
{
  "error": "string",
  "code": "string",
  "details": {}
}
© 2026 Be-In GmbH. Impressum